Skip to main content
POST
Create Product

Authorization

string
required
Bearer token for authentication. Format: Bearer qwoty_your_token

Request Body

string
required
Unique API identifier (snake_case). Can only contain lowercase letters, numbers and underscores.
string
required
Billing model. Allowed values: one_off, recurring
string
required
Product name
string
Internal reference code for the default variant
string
Product description
boolean
default:"true"
Active status
string[]
Array of catalog UUIDs to link the product to. The workspace default catalog is always included automatically.
string[]
Array of product category UUIDs to assign to this product.
object
Inventory information
object
Product settings
object
Accounting information
object
External system identifiers
object
Shipping information

Examples

Response

boolean
Indicates if the request was successful
object
The created product object (variant structure, identical to GET /api/products/{id})

Error Responses

Last modified on October 28, 2026